local function UpdatePages()
    local pages = GetActionBarPage()
    BaikMainMenuBar.PageNumber:SetText(pages)
end

local EVENT_MAP = {
    ["ACTIONBAR_PAGE_CHANGED"] = UpdatePages
}

function BaikMainMenuBar_OnEvent(self, event, ...)
    local func = EVENT_MAP[event]

    if not func then
        return
    end

    func()
end

function BaikMainMenuBar_OnLoad(self)
    UpdatePages()
    self:RegisterEvent("ACTIONBAR_PAGE_CHANGED")
end
